Bug 26584 - Remove unused C4::Acquisition::CloseBasket function
Summary: Remove unused C4::Acquisition::CloseBasket function
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Testopia
URL:
Keywords:
Depends on: 26580 26582
Blocks: 21204
  Show dependency treegraph
 
Reported: 2020-09-30 18:37 UTC by Tomás Cohen Arazi
Modified: 2020-11-16 21:59 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Manual merge request:
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26584: Remove unused C4::Acquisition::CloseBasket function (8.97 KB, patch)
2020-09-30 18:46 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 26584: Remove unused C4::Acquisition::CloseBasket function (9.06 KB, patch)
2020-11-01 01:11 UTC, David Nind
Details | Diff | Splinter Review
Bug 26584: Remove unused C4::Acquisition::CloseBasket function (9.11 KB, patch)
2020-11-01 13:10 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2020-09-30 18:37:16 UTC
Bug 26582 makes it obsolete.
Comment 1 Tomás Cohen Arazi 2020-09-30 18:46:58 UTC
Created attachment 111010 [details] [review]
Bug 26584: Remove unused C4::Acquisition::CloseBasket function

This patch makes code use the new Koha::Acquisition::Basket->close
method and makes CloseBasket obsolete.

It then removes it, and adapts the few places in which it was used.

1. Apply this patch
2. Run:
   $ kshell
  k$ git diff origin/master --name-only | grep -e '\.t$' | xargs prove
=> SUCCESS: Tests pass!
3. Try playing with baskets, closing them
=> SUCCESS: All works as expected!
4. Sign off :-D
Comment 2 Martin Renvoize 2020-10-01 11:29:53 UTC
Sorry dude.. sha1 error on application..
Comment 3 Tomás Cohen Arazi 2020-10-01 11:41:10 UTC
Will revisit the dependency tree
Comment 4 Tomás Cohen Arazi 2020-10-01 17:37:29 UTC
Missing bug dependency
Comment 5 David Nind 2020-11-01 01:11:02 UTC
Created attachment 112796 [details] [review]
Bug 26584: Remove unused C4::Acquisition::CloseBasket function

This patch makes code use the new Koha::Acquisition::Basket->close
method and makes CloseBasket obsolete.

It then removes it, and adapts the few places in which it was used.

1. Apply this patch
2. Run:
   $ kshell
  k$ git diff origin/master --name-only | grep -e '\.t$' | xargs prove
=> SUCCESS: Tests pass!
3. Try playing with baskets, closing them
=> SUCCESS: All works as expected!
4. Sign off :-D

Signed-off-by: David Nind <david@davidnind.com>
Comment 6 Katrin Fischer 2020-11-01 13:10:16 UTC
Created attachment 112801 [details] [review]
Bug 26584: Remove unused C4::Acquisition::CloseBasket function

This patch makes code use the new Koha::Acquisition::Basket->close
method and makes CloseBasket obsolete.

It then removes it, and adapts the few places in which it was used.

1. Apply this patch
2. Run:
   $ kshell
  k$ git diff origin/master --name-only | grep -e '\.t$' | xargs prove
=> SUCCESS: Tests pass!
3. Try playing with baskets, closing them
=> SUCCESS: All works as expected!
4. Sign off :-D

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Jonathan Druart 2020-11-05 14:25:34 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 8 Lucas Gass 2020-11-16 21:59:24 UTC
enhancement will not be backported to 20.05.x